# Generated by go2rpm
%bcond_without check

# https://github.com/golang/perf
%global goipath         golang.org/x/perf
%global forgeurl        https://github.com/golang/perf
%global commit          9c9101da83161dff5e53fc89bf35ed49ea286db8

%gometa

%global common_description %{expand:
This package holds the source for various tools related to performance
measurement, storage, and analysis.

 - cmd/benchstat contains a command-line tool that computes and 7
 compares statistics about benchmarks.
 - cmd/benchsave contains a command-line tool for publishing benchmark
 results.
 - storage contains the https://perfdata.golang.org/ benchmark result
 storage system.
 - analysis contains the https://perf.golang.org/ benchmark result analysis
 system.}

%global golicenses      LICENSE PATENTS
%global godocs          AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md

Name:           %{goname}
Version:        0
Release:        %mkrel 0.4
Summary:        Performance measurement, storage, and analysis
Group:          Development/Other
# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(cloud.google.com/go/storage)
BuildRequires:  golang(github.com/aclements/go-gg/generic/slice)
BuildRequires:  golang(github.com/aclements/go-gg/ggstat)
BuildRequires:  golang(github.com/aclements/go-gg/table)
BuildRequires:  golang(github.com/go-sql-driver/mysql)
BuildRequires:  golang(github.com/mattn/go-sqlite3)
BuildRequires:  golang(golang.org/x/net/context)
BuildRequires:  golang(golang.org/x/net/context/ctxhttp)
BuildRequires:  golang(golang.org/x/oauth2)
BuildRequires:  golang(golang.org/x/oauth2/google)
BuildRequires:  golang(google.golang.org/api/oauth2/v2)
BuildRequires:  golang(google.golang.org/appengine)
BuildRequires:  golang(google.golang.org/appengine/log)
BuildRequires:  golang(google.golang.org/appengine/user)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE PATENTS
%doc AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md
%{_bindir}/*

%gopkgfiles


%changelog
* Fri Sep 11 2020 pterjan <pterjan> 0-0.4.mga8
+ Revision: 1624597
- Sync with Fedora

* Wed Nov 28 2018 pterjan <pterjan> 0-0.3.mga8
+ Revision: 1336384
- imported package golang-x-perf

